dofile(LockOn_Options.script_path.."MPCD/indicator/MPCD_definitions.lua")

--------------------------------------------------
-- SYMBOLS & INDICATORS
--------------------------------------------------
local	strs_wing_form			= create_mpcd_textured_box( 231, 0, 1022, 379, nil, nil, 11)
		strs_wing_form.name		= "strs_wing_form"
		strs_wing_form.init_pos	= {0, 0.25, 0}
Add_MPCD_Element(strs_wing_form)

-- Weapons Symbology
-------------------------------
-- Air-to-Air
-------------------------------
local	aim_9_l_1_icon				= create_mpcd_textured_box( 10, 395, 49, 557, nil, nil, 11)
		aim_9_l_1_icon.name			= "aim_9_l_1_icon"
		aim_9_l_1_icon.init_pos		= {-0.85, -0.30, 0}
		aim_9_l_1_icon.controllers	= {{"strs_sta1_aim9"}}
Add_MPCD_Element(aim_9_l_1_icon)

local	aim_9_l_2_icon				= create_mpcd_textured_box( 10, 395, 49, 557, nil, nil, 11)
		aim_9_l_2_icon.name			= "aim_9_l_2_icon"
		aim_9_l_2_icon.init_pos		= {-0.60, -0.05, 0}
		aim_9_l_2_icon.controllers	= {{"strs_sta2_aim9"}}
Add_MPCD_Element(aim_9_l_2_icon)

local	aim_9_r_6_icon				= create_mpcd_textured_box( 10, 395, 49, 557, nil, nil, 11)
		aim_9_r_6_icon.name			= "aim_9_r_6_icon"
		aim_9_r_6_icon.init_pos		= {0.60, -0.05, 0}
		aim_9_r_6_icon.controllers	= {{"strs_sta6_aim9"}}
Add_MPCD_Element(aim_9_r_6_icon)

local	aim_9_r_7_icon				= create_mpcd_textured_box( 10, 395, 49, 557, nil, nil, 11)
		aim_9_r_7_icon.name			= "aim_9_r_7_icon"
		aim_9_r_7_icon.init_pos		= {0.85, -0.30, 0}
		aim_9_r_7_icon.controllers	= {{"strs_sta7_aim9"}}
Add_MPCD_Element(aim_9_r_7_icon)

-- Codes
local	aim_9_l_1_code				= CreateElement "ceStringPoly"
		aim_9_l_1_code.name			= "aim_9_l_1_code"
		aim_9_l_1_code.material		= mpcd_font_base
		aim_9_l_1_code.init_pos		= { -0.85, -0.50, 0}
		aim_9_l_1_code.alignment	= "CenterCenter"
		aim_9_l_1_code.value		= "9M"
		aim_9_l_1_code.stringdefs	= MPCD_data1_font_size
		aim_9_l_1_code.controllers	= {{"strs_sta1_aim9"}}
Add_MPCD_Element(aim_9_l_1_code)

local	aim_9_l_2_code				= CreateElement "ceStringPoly"
		aim_9_l_2_code.name			= "aim_9_l_2_code"
		aim_9_l_2_code.material		= mpcd_font_base
		aim_9_l_2_code.init_pos		= { -0.60, -0.25, 0}
		aim_9_l_2_code.alignment	= "CenterCenter"
		aim_9_l_2_code.value		= "9M"
		aim_9_l_2_code.stringdefs	= MPCD_data1_font_size
		aim_9_l_2_code.controllers	= {{"strs_sta2_aim9"}}
Add_MPCD_Element(aim_9_l_2_code)

local	aim_9_r_6_code				= CreateElement "ceStringPoly"
		aim_9_r_6_code.name			= "aim_9_r_6_code"
		aim_9_r_6_code.material		= mpcd_font_base
		aim_9_r_6_code.init_pos		= { 0.60, -0.25, 0}
		aim_9_r_6_code.alignment	= "CenterCenter"
		aim_9_r_6_code.value		= "9M"
		aim_9_r_6_code.stringdefs	= MPCD_data1_font_size
		aim_9_r_6_code.controllers	= {{"strs_sta6_aim9"}}
Add_MPCD_Element(aim_9_r_6_code)

local	aim_9_r_7_code				= CreateElement "ceStringPoly"
		aim_9_r_7_code.name			= "aim_9_r_7_code"
		aim_9_r_7_code.material		= mpcd_font_base
		aim_9_r_7_code.init_pos		= { 0.85, -0.50, 0}
		aim_9_r_7_code.alignment	= "CenterCenter"
		aim_9_r_7_code.value		= "9M"
		aim_9_r_7_code.stringdefs	= MPCD_data1_font_size
		aim_9_r_7_code.controllers	= {{"strs_sta7_aim9"}}
Add_MPCD_Element(aim_9_r_7_code)

-------------------------------
-- Air-to-Ground
-------------------------------
-- Weapons Codes: Single
local	sta1_wp_code				= CreateElement "ceStringPoly"
		sta1_wp_code.name			= "sta1_wp_code"
		sta1_wp_code.material		= mpcd_font_base
		sta1_wp_code.init_pos		= { -0.85, -0.20, 0}
		sta1_wp_code.alignment		= "CenterCenter"
		sta1_wp_code.formats		= {"%s"}
		sta1_wp_code.stringdefs		= MPCD_data1_font_size
		sta1_wp_code.controllers	= {{"strs_sta1_code"}}
Add_MPCD_Element(sta1_wp_code)

local	sta2_wp_s_code				= CreateElement "ceStringPoly"
		sta2_wp_s_code.name			= "sta2_wp_s_code"
		sta2_wp_s_code.material		= mpcd_font_base
		sta2_wp_s_code.init_pos		= { -0.60, 0.05, 0}
		sta2_wp_s_code.alignment	= "CenterCenter"
		sta2_wp_s_code.formats		= {"%s"}
		sta2_wp_s_code.stringdefs	= MPCD_data1_font_size
		sta2_wp_s_code.controllers	= {{"strs_sta2_code_s"}}
Add_MPCD_Element(sta2_wp_s_code)

local	sta3_wp_s_code				= CreateElement "ceStringPoly"
		sta3_wp_s_code.name			= "sta3_wp_s_code"
		sta3_wp_s_code.material		= mpcd_font_base
		sta3_wp_s_code.init_pos		= { -0.35, 0.30, 0}
		sta3_wp_s_code.alignment	= "CenterCenter"
		sta3_wp_s_code.formats		= {"%s"}
		sta3_wp_s_code.stringdefs	= MPCD_data1_font_size
		sta3_wp_s_code.controllers	= {{"strs_sta3_code_s"}}
Add_MPCD_Element(sta3_wp_s_code)

local	sta5_wp_s_code				= CreateElement "ceStringPoly"
		sta5_wp_s_code.name			= "sta5_wp_s_code"
		sta5_wp_s_code.material		= mpcd_font_base
		sta5_wp_s_code.init_pos		= { 0.35, 0.30, 0}
		sta5_wp_s_code.alignment	= "CenterCenter"
		sta5_wp_s_code.formats		= {"%s"}
		sta5_wp_s_code.stringdefs	= MPCD_data1_font_size
		sta5_wp_s_code.controllers	= {{"strs_sta5_code_s"}}
Add_MPCD_Element(sta5_wp_s_code)

local	sta6_wp_s_code				= CreateElement "ceStringPoly"
		sta6_wp_s_code.name			= "sta6_wp_s_code"
		sta6_wp_s_code.material		= mpcd_font_base
		sta6_wp_s_code.init_pos		= { 0.60, 0.05, 0}
		sta6_wp_s_code.alignment	= "CenterCenter"
		sta6_wp_s_code.formats		= {"%s"}
		sta6_wp_s_code.stringdefs	= MPCD_data1_font_size
		sta6_wp_s_code.controllers	= {{"strs_sta6_code_s"}}
Add_MPCD_Element(sta6_wp_s_code)

local	sta7_wp_code				= CreateElement "ceStringPoly"
		sta7_wp_code.name			= "sta7_wp_code"
		sta7_wp_code.material		= mpcd_font_base
		sta7_wp_code.init_pos		= { 0.85, -0.20, 0}
		sta7_wp_code.alignment		= "CenterCenter"
		sta7_wp_code.formats		= {"%s"}
		sta7_wp_code.stringdefs		= MPCD_data1_font_size
		sta7_wp_code.controllers	= {{"strs_sta7_code"}}
Add_MPCD_Element(sta7_wp_code)

-- Weapons Codes: Multiple
local	sta2_wp_m_code				= CreateElement "ceStringPoly"
		sta2_wp_m_code.name			= "sta2_wp_m_code"
		sta2_wp_m_code.material		= mpcd_font_base
		sta2_wp_m_code.init_pos		= { -0.60, 0.05, 0}
		sta2_wp_m_code.alignment	= "CenterCenter"
		sta2_wp_m_code.formats		= {"%d %s"}
		sta2_wp_m_code.stringdefs	= MPCD_data1_font_size
		sta2_wp_m_code.controllers	= {{"strs_sta2_code_m"}}
Add_MPCD_Element(sta2_wp_m_code)

local	sta3_wp_m_code				= CreateElement "ceStringPoly"
		sta3_wp_m_code.name			= "sta3_wp_m_code"
		sta3_wp_m_code.material		= mpcd_font_base
		sta3_wp_m_code.init_pos		= { -0.35, 0.30, 0}
		sta3_wp_m_code.alignment	= "CenterCenter"
		sta3_wp_m_code.formats		= {"%d %s"}
		sta3_wp_m_code.stringdefs	= MPCD_data1_font_size
		sta3_wp_m_code.controllers	= {{"strs_sta3_code_m"}}
Add_MPCD_Element(sta3_wp_m_code)

local	sta5_wp_m_code				= CreateElement "ceStringPoly"
		sta5_wp_m_code.name			= "sta5_wp_m_code"
		sta5_wp_m_code.material		= mpcd_font_base
		sta5_wp_m_code.init_pos		= { 0.35, 0.30, 0}
		sta5_wp_m_code.alignment	= "CenterCenter"
		sta5_wp_m_code.formats		= {"%d %s"}
		sta5_wp_m_code.stringdefs	= MPCD_data1_font_size
		sta5_wp_m_code.controllers	= {{"strs_sta5_code_m"}}
Add_MPCD_Element(sta5_wp_m_code)

local	sta6_wp_m_code				= CreateElement "ceStringPoly"
		sta6_wp_m_code.name			= "sta6_wp_m_code"
		sta6_wp_m_code.material		= mpcd_font_base
		sta6_wp_m_code.init_pos		= { 0.60, 0.05, 0}
		sta6_wp_m_code.alignment	= "CenterCenter"
		sta6_wp_m_code.formats		= {"%d %s"}
		sta6_wp_m_code.stringdefs	= MPCD_data1_font_size
		sta6_wp_m_code.controllers	= {{"strs_sta6_code_m"}}
Add_MPCD_Element(sta6_wp_m_code)

-------------------------------
-- Centerline Loads
-------------------------------
-- Centerline Pods
local	gun_ammo_count				= CreateElement "ceStringPoly"
		gun_ammo_count.name			= "gun_ammo_count"
		gun_ammo_count.material		= mpcd_font_base
		gun_ammo_count.init_pos		= { 0, 0.55, 0}
		gun_ammo_count.alignment	= "CenterCenter"
		gun_ammo_count.formats		= {"%d"}
		gun_ammo_count.stringdefs	= MPCD_large_font_size
		gun_ammo_count.controllers	= {{"strs_gun_ammo"}}
Add_MPCD_Element(gun_ammo_count)

local	Pod_Code				= CreateElement "ceStringPoly"
		Pod_Code.name			= "Pod_Code"
		Pod_Code.material		= mpcd_font_base
		Pod_Code.init_pos		= { 0, 0.45, 0}
		Pod_Code.alignment		= "CenterCenter"
		Pod_Code.formats		= {"%s"}
		Pod_Code.stringdefs		= MPCD_data1_font_size
		Pod_Code.controllers	= {{"strs_sta4_code"}}
Add_MPCD_Element(Pod_Code)

-- MENU
local	mpcd_mm_btn_18				= CreateElement "ceStringPoly"
		mpcd_mm_btn_18.name			= "mpcd_mm_btn_18"
		mpcd_mm_btn_18.material		= mpcd_font_base
		mpcd_mm_btn_18.init_pos		= mpcd_btn_18_pos
		mpcd_mm_btn_18.alignment	= "CenterCenter"
		mpcd_mm_btn_18.value		= "MENU"
		mpcd_mm_btn_18.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_18)

local	mpcd_mm_btn_19				= CreateElement "ceStringPoly"
		mpcd_mm_btn_19.name			= "mpcd_mm_btn_19"
		mpcd_mm_btn_19.material		= mpcd_font_base
		mpcd_mm_btn_19.init_pos		= mpcd_btn_19_pos
		mpcd_mm_btn_19.alignment	= "CenterCenter"
		mpcd_mm_btn_19.value		= "SMSFF"
		mpcd_mm_btn_19.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_19)

local	mpcd_btn_19_boxed				= create_mpcd_textured_box( 60, 4, 175, 50)
		mpcd_btn_19_boxed.name			= "mpcd_btn_19_boxed"
		mpcd_btn_19_boxed.init_pos		= mpcd_btn_19_pos
Add_MPCD_Element(mpcd_btn_19_boxed)
